Debian Bug report logs - #433629
gcc-4.2: breaks linux kernel usbhid

version graph

Package: gcc-4.2; Maintainer for gcc-4.2 is (unknown);

Reported by: Johannes Berg <johannes@sipsolutions.net>

Date: Wed, 18 Jul 2007 10:57:01 UTC

Severity: normal

Tags: moreinfo

Found in version gcc-4.2/4.2-20070707-1

Done: Alan Baghumian <alan@technotux.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#433629; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-4.2: breaks linux kernel usbhid
Date: Wed, 18 Jul 2007 11:40:11 +0200
Package: gcc-4.2
Version: 4.2-20070707-1
Severity: normal

On Monday ("Mon Jul 16 10:39:51 2007"), I compiled the linux kernel
version 2.6.22+git-e904e31ddef89e03f9f45f255a63803dbe708645
(that's a version from the wireless-dev tree on git.kernel.org) and
used it until today. According to the dpkg log, I upgraded my gcc
later yesterday:
2007-07-16 19:14:07 upgrade gcc-4.2 4.2-20070707-1 4.2-20070712-1

Today then, I wanted to compile a new kernel later git and USB HID
stopped working. Thinking that the problem lies in the kernel I
started to bisect only to find that the problem is not in the kernel,
in fact using the same sources I compiled yesterday morning don't
work with gcc-4.2-20070712-1.

Going back to gcc-4.2-20070707-1 however didn't make it work again
so I guess that the usbhid module wasn't rebuilt with the 070707
version because I hadn't completely rebuilt the kernel, the new
compile where it started failing was a complete rebuild. For now
I've gone back to 4.1.2-13 which works perfectly with the same
sources.
I'm filing the bug against 070707 but it is well possible that
earlier versions are affected as well.

Symptoms of usbhid not working are:
 * usbhid loaded before ohci-hcd: no input devices show up
 * usbhid loaded after ohci-hcd: system hangs when loading usbhid

I haven't been able to debug further as my powerbook only allows
for USB input devices.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.22-ga4a12090-dirty (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-4.2 depends on:
ii  binutils              2.17.20070406cvs-2 The GNU assembler, linker and bina
ii  cpp-4.2               4.2-20070707-1     The GNU C preprocessor
ii  gcc-4.2-base          4.2-20070707-1     The GNU Compiler Collection (base 
ii  libc6                 2.6-2              GNU C Library: Shared libraries
ii  libgcc1               1:4.2-20070707-1   GCC support library
ii  libgomp1              4.2-20070707-1     GCC OpenMP (GOMP) support library

Versions of packages gcc-4.2 recommends:
ii  libc6-dev                     2.6-2      GNU C Library: Development Librari
pn  libmudflap0-4.2-dev           <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#433629; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 433629@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Johannes Berg <johannes@sipsolutions.net>, 433629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#433629: gcc-4.2: breaks linux kernel usbhid
Date: Mon, 23 Jul 2007 11:39:48 +0200
tag 433629 + moreinfo
thanks

please recheck with gcc 4.2.1



Tags added: moreinfo Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Mon, 23 Jul 2007 09:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#433629; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 433629@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 433629 <433629@bugs.debian.org>
Subject: Re: Bug#433629: gcc-4.2: breaks linux kernel usbhid
Date: Tue, 24 Jul 2007 23:27:08 +0200
[Message part 1 (text/plain, inline)]
> please recheck with gcc 4.2.1

Works fine. I also upgraded the kernel but in the changelog since my old
kernel can't find any changes that were made for gcc so I take it that
gcc did indeed have a bug that is now fixed.

johannes
[signature.asc (application/pgp-signature, inline)]

Reply sent to Matthias Klose <doko@cs.tu-berlin.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Berg <johannes@sipsolutions.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 433629-done@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Johannes Berg <johannes@sipsolutions.net>, 433629-done@bugs.debian.org
Subject: Re: Bug#433629: gcc-4.2: breaks linux kernel usbhid
Date: Wed, 25 Jul 2007 12:00:16 +0200
Version: 4.2.1-0

Johannes Berg writes:
> 
> > please recheck with gcc 4.2.1
> 
> Works fine. I also upgraded the kernel but in the changelog since my old
> kernel can't find any changes that were made for gcc so I take it that
> gcc did indeed have a bug that is now fixed.

thanks, closing the report.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#433629; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Alan Baghumian <alan@technotux.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 433629@bugs.debian.org (full text, mbox):

From: Alan Baghumian <alan@technotux.com>
To: 433629@bugs.debian.org
Subject: Still broken usbhid (GCC 4.2.1-1)
Date: Sat, 04 Aug 2007 21:50:47 +0350
[Message part 1 (text/plain, inline)]
reopen 433629

Hi,

After two days compiling and recompiling my custom 2.6.22 based kernel, 
I faced to this bug. First I tried to remove all extra patches to build 
a standard kernel but it didn't help. Then tried to rebuild GCC 
4.2.1-1 packages on my Debian testing machine and again the same 
problem. So installed a fresh Sid debootstrap chroot, with GCC 4.2.1-1 
packages and started to compile the kernel and still that stupid USB 
HID problem exists! 

So I prefer to re-open this bug.

Alan 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#433629; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Alan Baghumian <alan@technotux.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 433629@bugs.debian.org (full text, mbox):

From: Alan Baghumian <alan@technotux.com>
To: 433629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: RE: Still broken usbhid (GCC 4.2.1-1)
Date: Sun, 05 Aug 2007 07:40:12 +0350
[Message part 1 (text/plain, inline)]
reopen 433629

I just forgot to cc control.

Alan
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Alan Baghumian <alan@technotux.com> to control@bugs.debian.org. (Sun, 05 Aug 2007 03:51:02 GMT) Full text and rfc822 format available.

Reply sent to Alan Baghumian <alan@technotux.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Berg <johannes@sipsolutions.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 433629-done@bugs.debian.org (full text, mbox):

From: Alan Baghumian <alan@technotux.com>
To: 433629-done@bugs.debian.org
Subject: RE: Still broken usbhid (GCC 4.2.1-1)
Date: Tue, 07 Aug 2007 07:40:45 +0350
[Message part 1 (text/plain, inline)]
Hi,

Indeed it's not a GCC failure but 2.6.22 kernel ATA regression. So I 
close this bug.

Cheers,
Alan 
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Sep 2007 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:22:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.